Skip to main content
GET
/
pairs
/
tokens
Get all tokens
curl --request GET \
  --url https://api.copin.io/pairs/tokens
{
  "data": {
    "{protocol_name}": [
      {
        "symbol": "<string>",
        "indexTokens": [
          {}
        ],
        "isForex": true
      }
    ]
  }
}

Request Example

curl --request GET \
--url "https://api.copin.io/pairs/tokens" \
--header 'Content-Type: application/json' \

Response

The API returns a comprehensive list of tokens organized by protocol. For each protocol, an array of token objects is provided containing symbol information and associated blockchain details.
data
object
Container for token data grouped by protocol

Response Example

{
  "data": {
    "APOLLOX_BASE": [
      {
        "symbol": "ETH",
        "indexTokens": [
          "0x4200000000000000000000000000000000000006",
          "0x5A5454A6030FB50ceb3eb78977D140198A27be5e"
        ],
        "isForex": false
      },
      {
        "symbol": "BTC",
        "indexTokens": [
          "0xBc76B3FD0D18C7496C0B04aeA0Fe7C3Ed0e4d9C9",
          "0x236aa50979D5f3De3Bd1Eeb40E81137F22ab794b"
        ],
        "isForex": false
      }
    ]
  }
}